<nav class="pagination-bar">
    <app-pagination-button  id="first-page-button" 
                            content="&lt;&lt;" 
                            [routerLink]="['./']" [queryParams]="{page: 1}" queryParamsHandling="merge"
                            (click)="updatePaginationBar(1)">
    </app-pagination-button>
    <app-pagination-button  id="previous-page-button" 
                            content="&lt;" 
                            [routerLink]="['./']" [queryParams]="{page: previousPage}" queryParamsHandling="merge"
                            (click)="updatePaginationBar(previousPage)">
    </app-pagination-button>
    <app-pagination-button *ngFor="let value of values" 
                            [content]="value" 
                            [id]="value" 
                            [routerLink]="['./']" [queryParams]="{page: value}" queryParamsHandling="merge"
                            (click)="updatePaginationBar(value)">
    </app-pagination-button>
    <app-pagination-button  id="next-page-button" 
                            content="&gt;" 
                            [routerLink]="['./']" [queryParams]="{page: nextPage}" queryParamsHandling="merge"
                            (click)="updatePaginationBar(nextPage)">
    </app-pagination-button>
    <app-pagination-button  id="last-page-button" 
                            content="&gt;&gt;" 
                            [routerLink]="['./']" [queryParams]="{page: lastPage}" queryParamsHandling="merge"
                            (click)="updatePaginationBar(lastPage)">
    </app-pagination-button>
</nav>